summaryrefslogtreecommitdiffstats
path: root/installer/opengnsys_export.sh
diff options
context:
space:
mode:
Diffstat (limited to 'installer/opengnsys_export.sh')
-rwxr-xr-xinstaller/opengnsys_export.sh8
1 files changed, 8 insertions, 0 deletions
diff --git a/installer/opengnsys_export.sh b/installer/opengnsys_export.sh
index 919502a6..6feac426 100755
--- a/installer/opengnsys_export.sh
+++ b/installer/opengnsys_export.sh
@@ -7,6 +7,8 @@
#@exception 2 Sólo ejecutable por usuario root.
#@exception 3 Sin acceso a la configuración de OpenGnsys.
#@exception 4 No existe el directorio de backup.
+#@exception 5 Es necesario instalar el comando realpath.
+#@warning This script uses "realpath" command.
#@version 1.1.0 - Versión inicial.
#@author Irina Gómez - ETSII Univ. Sevilla
#@date 2016-10-18
@@ -42,6 +44,12 @@ if [ "$USER" != "root" ]; then
exit 2
fi
+# Comprobamos que esté instalado el comando realpath
+if ! which realpath &>/dev/null ; then
+ echo "Need to install \"realpath\"."
+ exit 5
+fi
+
# Comprobamos acceso a ficheros de configuración
if ! [ -r $OPENGNSYS/etc/ogAdmServer.cfg ]; then
echo "$PROG: ERROR: Sin acceso a la configuración de OpenGnsys." | tee -a $FILESAL